# Uses of Interface
org.eclipse.birt.chart.model.data.Query

Packages that use Query
Package
Description
org.eclipse.birt.chart.datafeed
Provides classes and interfaces that determine how a user's custom dataset needs to be interpreted.
org.eclipse.birt.chart.model.component
Represents a set of chart sub-components (as interfaces) that are used to build a complete chart.
org.eclipse.birt.chart.model.component.impl
Represents a set of chart sub-components (as core implementations) that are used to build a complete chart.
org.eclipse.birt.chart.model.data
Holds a set of interfaces that define the structure of the data source and typed data elements associated with a chart series.
org.eclipse.birt.chart.model.data.impl
Holds a set of classes that define the structure of the data source and typed data elements associated with a chart series.

## Uses of Query in org.eclipse.birt.chart.datafeed

Methods in org.eclipse.birt.chart.datafeed that return types with arguments of type Query
Modifier and Type
Method
Description
`List<Query>`
DataSetAdapter.`getDataDefinitionsForGrouping(Series series)`
`List<Query>`
IDataSetProcessor.`getDataDefinitionsForGrouping(Series series)`
Provides a list of data definitions for grouping.

## Uses of Query in org.eclipse.birt.chart.model.component

Methods in org.eclipse.birt.chart.model.component that return types with arguments of type Query
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Query>`
Series.`getDataDefinition()`
Returns the value of the 'Data Definition' containment reference list.

## Uses of Query in org.eclipse.birt.chart.model.component.impl

Methods in org.eclipse.birt.chart.model.component.impl that return types with arguments of type Query
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<Query>`
SeriesImpl.`getDataDefinition()`

## Uses of Query in org.eclipse.birt.chart.model.data

Methods in org.eclipse.birt.chart.model.data that return Query
Modifier and Type
Method
Description
`Query`
Query.`copyInstance()`
`Query`
DataFactory.`createQuery()`
Returns a new object of class 'Query'.
`Query`
SeriesDefinition.`getQuery()`
Returns the value of the 'Query' containment reference.
`Query`
SeriesDefinition.`getSortKey()`
Returns the value of the 'Sort Key' containment reference.
Methods in org.eclipse.birt.chart.model.data with parameters of type Query
Modifier and Type
Method
Description
`void`
SeriesDefinition.`setQuery(Query value)`
Sets the value of the '`Query`' containment reference.
`void`
SeriesDefinition.`setSortKey(Query value)`
Sets the value of the '`Sort Key`' containment reference.

## Uses of Query in org.eclipse.birt.chart.model.data.impl

Classes in org.eclipse.birt.chart.model.data.impl that implement Query
Modifier and Type
Class
Description
`class`
`QueryImpl`
An implementation of the model object ' Query'.
Methods in org.eclipse.birt.chart.model.data.impl that return Query
Modifier and Type
Method
Description
`Query`
QueryImpl.`copyInstance()`
`static final Query`
QueryImpl.`create(String sDefinition)`
A convenience method provided to create a new initialized query instance
`Query`
DataFactoryImpl.`createQuery()`
`Query`
SeriesDefinitionImpl.`getQuery()`
`Query`
SeriesDefinitionImpl.`getSortKey()`
Methods in org.eclipse.birt.chart.model.data.impl with parameters of type Query
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
SeriesDefinitionImpl.`basicSetQuery(Query newQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
SeriesDefinitionImpl.`basicSetSortKey(Query newSortKey, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
SeriesDefinitionImpl.`setQuery(Query newQuery)`
`void`
SeriesDefinitionImpl.`setSortKey(Query newSortKey)`